LinuxTV Patchwork vdr-2.2.0 fails on compile with systemd-230

login
register
mail settings
Submitter Joerg Bornkessel
Date June 21, 2016, 11:25 a.m.
Message ID <5769242A.5080808@astrali.lan>
Download mbox | patch
Permalink /patch/34746/
State New
Headers show

Comments

Joerg Bornkessel - June 21, 2016, 11:25 a.m.
vdr-2.2.0 failed on compile up from systemd-230,
this results, as systemd upstream has removed some pkg-configure files.
removed files are marked as deprecated in previous version.
reviewing the removed files, they include the same content, exclude the
description,
atached patch fix this problem.
So far the theory as i don't have test it.
I dont have a systemd install and never ever i will infect my mashines
with the Poettering MALWARE.

see also
https://bugs.gentoo.org/show_bug.cgi?id=586070

Cheers

/bin/joerg

Patch

vdr-2.2.0 failed on compile with systemd-230
as systemd upstram has removed some pkg-configure files
see bug
https://bugs.gentoo.org/show_bug.cgi?id=586070
Signed-of-by: Joerg Bornkessel <hd_brummy@gentoo.org> (2016/jun/21)
diff -Naur vdr-2.2.0.orig/Makefile vdr-2.2.0/Makefile
--- vdr-2.2.0.orig/Makefile	2016-06-21 12:17:20.000000000 +0200
+++ vdr-2.2.0/Makefile	2016-06-21 12:17:59.000000000 +0200
@@ -95,9 +95,9 @@ 
 LIBS += $(shell pkg-config --libs fribidi)
 endif
 ifdef SDNOTIFY
-INCLUDES += $(shell pkg-config --cflags libsystemd-daemon)
+INCLUDES += $(shell pkg-config --cflags libsystemd)
 DEFINES += -DSDNOTIFY
-LIBS += $(shell pkg-config --libs libsystemd-daemon)
+LIBS += $(shell pkg-config --libs libsystemd)
 endif
 
 LIRC_DEVICE ?= /var/run/lirc/lircd

Privacy Policy